Subject: need help on building a cross envmnt
From: [email-masked] (Christoph Kukulies)

5 Aug 1997 07:44:26 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

It's too weird: I'm still having a couple of stumbling blocks
getting a gnu-win32 cross compiler built.

(OS is FreeBSD 3.0-current), this is what I typed:

../configure -v --target=i386-cygwin32 --host=i386-unknown-freebsd3.0

I had to hand edit some glitches in texinfo/info/terminal.c:

#if defined (HAVE_TERMIOS_H) || defined (HAVE_TERMIO_H)
  ttybuff.c_iflag &= (~ISTRIP & ~INLCR & ~IGNCR & ~ICRNL & ~IXON);
#ifdef __FreeBSD__                   <<<<<
  ttybuff.c_oflag &= (~ONLCR );      <<<<<
#else                                <<<<<
  ttybuff.c_oflag &= (~ONLCR & ~OCRNL);
#endif                                             

I don't like putting things like this inmidst the code
and it should be better filtered out by appropriate
config define's.

The other was an inconsistent definition of sys_errlist in some
source file.

Now  the biggest stumbling block seems to me this one
(if not others will occur):

making sub-all in emacs
rm -f SYSCALLS.c tmp-SYSCALLS.s
cat ./sys-types.h ./sys-protos.h > SYSCALLS.c
/home/kuku/gnuwin32/cdk/gcc/xgcc -B/home/kuku/gnuwin32/cdk/gcc/ -DCROSS_COMPILE -DIN_GCC   -g -I./include     -I. -I. -I./config  -aux-info SYSCALLS.c.X -S -o tmp-SYSCALLS.s SYSCALLS.c
SYSCALLS.c:86: stddef.h: No such file or directory
*** Error code 1

Stop.
*** Error code 1

Stop.                                                                 

I see stddef in gcc/ginclude and in /usr/include (the latter not being
relevant here, I think) but I wonder what's screwed in the cdk distribution
such that it doesn't compile smoothly.

-- 
Chris Christoph P. U. Kukulies [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".